package WebDP::ClickCount;
use strict;
use DBI;

sub new {
    my $class = shift;
    my $dbh = DBI->connect('dbi:mysql:test', 'user', 'pw', {
        RaiseError => 1,
    }) or return;
    bless { dbh => $dbh }, $class;
}

sub dbh { shift->{dbh} }

sub new_click {
    my($self, $time, $host) = @_;
    my $sth = $self->dbh->prepare('INSERT INTO clickcount (unixtime, remote_host) VALUES (?, ?)');
    $sth->execute($time, $host);
}

sub total_count {
    my $self = shift;
    my $sth = $self->dbh->prepare('SELECT COUNT(*) FROM clickcount');
    $sth->execute;
    my $count = $sth->fetchrow_arrayref->[0];
    $sth->finish;
    return $count;
}

sub DESTROY {
    my $self = shift;
    $self->dbh->disconnect;
}

1;
