#!/usr/local/bin/perl -Tw
use strict;
use lib 'lib';

use CGI;
use WebDP::PressRelease;
use XML::RSS;

my $query = CGI->new;
do_task($query);

sub do_task {
    my $query    = shift;
    my @releases = WebDP::PressRelease->recent;

    my $rss = XML::RSS->new(version => 1.0);
    $rss->channel(
        title => 'WebDP Press Release',
        link  => 'http://localhost/press/rss.cgi',
        description => 'XML::RSS/Class::DBI sample',
    );

    for my $rel (@releases) {
        $rss->add_item(
            title => $rel->title,
            link  => 'http://localhost/press/item.cgi?id=' . $rel->id,
            description => 'Press Release id: ' . $rel->id,
        );
    }
    print $query->header('text/xml'), $rss->as_string;
}
